List custom code blocks
/settings/custom-codeReturns the metadata of the account's custom code blocks, using cursor-based pagination.
By default, only blocks that are not in the trash are returned. Set deleted=true to list only blocks in the trash.
The content object is never included in this collection. To read a block's code, use the retrieve operation with the custom_code.read_content permission.
Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.
In: header
Query Parameters
1 <= value <= 200Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/settings/custom-code"{ "data": [ { "content": { "body": "string", "header": "string", "manifest_json": "string", "sw_js": "string" }, "created_at": "2019-08-24T14:15:22Z", "deleted": true, "id": "string", "name": "string", "object": "custom_code", "position": "head", "revision": "string", "status": "active", "type": "active-campaign", "updated_at": "2019-08-24T14:15:22Z" } ], "page": {}}Custom code
Custom code in API v3: list custom code blocks, create a custom code block, retrieve a custom code block, update a custom code block, delete a custom code block.
Create a custom code block POST
Creates a custom code block that is injected into the platform pages. Creating a block with `type` set to `pushalertco` also requires the `custom_code.manage_pwa` permission. Code content is stored exactly as submitted and is not sanitized.